aboutsummaryrefslogtreecommitdiff
path: root/usr.bin/man
diff options
context:
space:
mode:
authorUlrich Spörlein <uqs@FreeBSD.org>2011-01-25 18:32:21 +0000
committerUlrich Spörlein <uqs@FreeBSD.org>2011-01-25 18:32:21 +0000
commit9b61837adad9554a232c0166bc431def39a64f1f (patch)
tree8526870940792f44dd028f1b03aa7c8afb350196 /usr.bin/man
parent7c2dd57bdb4b8998f4cb287a7ee8611c10beaff5 (diff)
downloadsrc-9b61837adad9554a232c0166bc431def39a64f1f.tar.gz
src-9b61837adad9554a232c0166bc431def39a64f1f.zip
Use test(1) operators and test for the catpage not being older than the
manpage. Identical mtimes (as generated by buildworld for these files) precluded catpages from working. Approved by: gordon
Notes
Notes: svn path=/head/; revision=217831
Diffstat (limited to 'usr.bin/man')
-rwxr-xr-xusr.bin/man/man.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/usr.bin/man/man.sh b/usr.bin/man/man.sh
index 7a5a221a50e0..2495ddba580f 100755
--- a/usr.bin/man/man.sh
+++ b/usr.bin/man/man.sh
@@ -200,8 +200,8 @@ find_file() {
# Usage: is_newer file1 file2
# Returns true if file1 is newer than file2 as calculated by mtime.
is_newer() {
- if [ $(stat -f %m $1) -gt $(stat -f %m $2) ]; then
- decho " mtime: $1 newer than $2" 3
+ if ! [ "$1" -ot "$2" ]; then
+ decho " mtime: $1 not older than $2" 3
return 0
else
decho " mtime: $1 older than $2" 3